<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>Reacted DOM with Fetch</title>
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" crossorigin="anonymous">
</head>
<body>

	<div class="container">
		<h1 class="text-center">Reacted DOM with Fetch</h1>
		<hr>
		<div class="row">
			<div class="col-md-6">
					<h3>Add Post</h3>
					<form id="form-add-post" action="" method="">
						<div class="form-group">
						<span>Title</span>
						<input type="text" id="txt-title" name="" class="form-control" required> 
						</div>
						<div class="form-group">
						<span>Body</span>
						<textarea type="text" id="txt-body" class="form-control" required></textarea>
						</div>
						<button type="submit" class="btn btn-primary btn-sm">Post</button>
					</form>			
				</div>
				<div class="col-md-6">
					<h3>Edit Post</h3>
					<form action="" id="form-edit-post">
						<div class="form-group">
							<input type="text" id="txt-edit-id" name="" hidden>
							<span>Title</span>
							<input type="text" id="txt-edit-title" class="form-control" required>				
						</div>
						<div class="form-group">
							<span>Body</span>
							<textarea type="text" id="txt-edit-body" class="form-control" required></textarea>
						</div>
						<button type="submit" id="btn-submit-update" class="btn btn-warning btn-sm" disabled>Update</button>
					</form>
				</div>
			</div>
			<hr>
			<h2 class="text-center">Posts</h2>
			<div id="post-entries"></div>
	</div>

	<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>
	<script src="index.js"></script>
</body>
</html>